To SpeedTree® Modeler for UE4 Subscription Preview Users

Just as a reminder to those who already have the preview release, the models won’t work in UE4 unless you have Unreal Engine version 4.3.

Also, when the SpeedTree® Modeler application is out of preview, you’ll be able to purchase UE4-specific models. Please do not purchase the “v7” or “v6” tree models we currently have on the SpeedTree Store, these are for animation/vfx users. They will not load in UE4 and even with a Modeler subscription, they will probably not work well in UE4.3 without modification. The UE4 models are packed with features for UE4 users and will hopefully be worth the wait!